Last Updated: Jan 28, 2025
Retrieves metadata for global lists, including their ID, name, description, status, site list and last modified time (in UTC).
|
Implementation |
System |
|
Command Category |
Global List |
|
Tags |
Global List Metadata |
Inputs
|
Parameter Name |
Required/Optional |
Description |
Sample Data |
|---|---|---|---|
|
Search Type |
Required |
Determines which filter will be used to retrieve the global list metadata. Valid options are:
|
Global List Names |
|
Global List Names |
Optional |
A list of global list names used to filter the results. This parameter is required if the search type parameter is set to Global List Names. |
[ "Demo Global List", "Demo Global List 2" ] |
|
Global List IDs
|
Optional |
A list of global list IDs used to filter the results. This parameter is required if the search type parameter is set to global list IDs. |
[ 307, 319 ] |
|
Site Names |
Optional |
A list of sites—where global lists are shared—used to filter results. This parameter is required if the search type parameter is set to Site Names. |
Demo Site |
|
Status |
Optional |
Refines the search results based on the status of the global list. Valid options are:
By default, the value is All. |
All |
Output
Remote Command API
The D3 command API allows you to send requests to D3 SOAR to execute this utility command via REST API.
Request
POST
https://{base_url}/{api_namespace}/api/Command/GetGlobalListMetaData
Headers
Please refer to the page Webhook Configuration Guide - Authentication Method: API Keys for more details.
Request Body
{
"Username": <Username here>,
"Site": <Site here>,
"CommandParams": {
"Search Type": <Search Type here>,
"Global List Names": [
<Global List Names here>
],
"Global List IDs": [
<Global List IDs here>
],
"Site Names": [
<Site Names here>
],
"Status": <Status here>
}
}
Body Parameters
|
Parameter Name |
Type |
Required/Optional |
Description |
|---|---|---|---|
|
Username |
|
Required |
The username of your D3 SOAR account. |
|
Site |
|
Required |
The site used to run the remote command. |
|
Search Type |
|
Required |
Determines which filter will be used to retrieve the global list metadata. Valid options are:
|
|
Global List Names |
|
Optional |
A list of global list names used to filter the results. This parameter is required if the search type parameter is set to Global List Names. |
|
Global List IDs
|
|
Optional |
A list of global list IDs used to filter the results. This parameter is required if the search type parameter is set to global list IDs. |
|
Site Names |
|
Optional |
A list of sites—where global lists are shared—used to filter results. This parameter is required if the search type parameter is set to Site Names. |
|
Status |
|
Optional |
Refines the search results based on the status of the global list. Valid options are:
By default, the value is All. |
Sample Request
Sample Data
{
"Username": "Admin",
"Site": "Security Operations",
"CommandParams": {
"Search Type": "Global List Names",
"Global List Names": [
"Demo Global List",
"Demo Global List 2"
]
}
}
Response
Response Fields
|
Field Name |
Type |
Description |
|---|---|---|
|
error |
|
The error message if the API request has failed. |
|
returnData |
|
The return data from the API request. |
Sample Response
{
"Status": "Successful",
"Data": [
{
"GlobalListID": 307,
"GlobalListName": "Demo Global List",
"Description": "This global list serves as a testing and demonstration tool.",
"Status": "Active",
"SiteList": [
"Security Operations"
],
"LastModifiedUTCTime": "2025-01-27 20:40:54.997000"
},
{
"GlobalListID": 319,
"GlobalListName": "Demo Global List 2",
"Description": "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.",
"Status": "Active",
"SiteList": [
"Demo Site",
"Security Operations"
],
"LastModifiedUTCTime": "2025-01-28 19:09:03.893000"
}
]
}